# Get Transaction Limits

You will be able to retrieve the remaining transaction limits of a particular user based on your spec sheet and transactions they have already created.&#x20;

#### `GET /users/{{user_id}}/transaction-limit?destination={{countryCode}}`

{% tabs %}
{% tab title="Details" %}

| Field                           | Required | Type    | Description                                                         |
| ------------------------------- | -------- | ------- | ------------------------------------------------------------------- |
| country                         | Response | String  | 2-letter ISO code of the user’s country.                            |
| current\_tier                   | Response | Numeric | Current tier of the user                                            |
| remaining\_limit                | Response | Object  | Remaining transaction limits of the user in the current tier        |
| remaining\_limit.annual\_limit  | Response | Numeric | Remaining annual transaction limit of the user in the current tier  |
| remaining\_limit.monthly\_limit | Response | Numeric | Remaining monthly transaction limit of the user in the current tier |
| remaining\_limit.daily\_limit   | Response | Numeric | Remaining daily transaction limit of the user in the current tier   |
| user\_id                        | Response | UUID    | UUID of the user                                                    |
| {% endtab %}                    |          |         |                                                                     |

{% tab title="Request Sample" %}

```
curl --location --request GET '{{url}}/users/{{user_id}}/transaction-limit?destination='\''US'\''' \
--header 'X-Client-Id:{{client_id}} ' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
	"country": "US",
	"current_tier": 1,
	"remaining_limit": {
    	"annual_limit": 9200.00,
    	"daily_limit": 200,
    	"monthly_limit": 4200.00
	},
	"user_id": "868a53c0-26b9-47d5-b79d-c7833842a681"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/transaction/get-transaction-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
